package de.jmstest;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;


import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.BytesMessage;
import javax.jms.Message;
import javax.jms.MessageListener;

/**
 * Message-Driven Bean implementation class for: ClientOne
 * 
 */
@MessageDriven(activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "java:/topic/TOPIC_PERSISTENT"

		),
		@ActivationConfigProperty(propertyName = "clientID", propertyValue = "ClientTwo"),
		@ActivationConfigProperty(propertyName = "reconnectInterval", propertyValue = "1"),
		@ActivationConfigProperty(propertyName = "maxSession", propertyValue = "100") }, mappedName = "java:/topic/TOPIC_PERSISTENT")
public class ClientTwo implements MessageListener {


	/**
	 * Default constructor.
	 */
	public ClientTwo() {

	}
 
	/**
	 * @see MessageListener#onMessage(Message)
	 */
	public void onMessage(Message message) {
		try {
			System.out.println("write to nulloutput! ");
			message.setObjectProperty("JMS_HQ_SaveStream", NullOutputStream.INSTANCE);
			//System.out.println("do nothing!");
			
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
